
Redmine - Defect #19610

Attached files with cyrillic "И" in the name

2015-04-13 21:35 - Ivan Petrov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.1

Description

If I upload file to attach and it contains cyrillic (russian) letter "И" (ASCII code 200) in its name, then this file would be impossible to

download later - I click on it and I get "internal server error".

Is that a bug? Is there a workaroud?

Environment:

Redmine version                3.0.0.stable

Ruby version                   2.0.0-p594 (2014-10-27) [i386-mingw32]

Rails version                  4.2.0

Environment                    production

Database adapter               Mysql2

Related issues:

Is duplicate of Redmine - Defect #19374: MinGW thin and puma: Internal server... Closed

History

#1 - 2015-04-13 21:58 - Ivan Petrov

I should probably add that other russian letters work just fine so far.

#2 - 2015-04-14 04:47 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Do you use bitnami or thin or puma?

#3 - 2015-04-14 07:12 - Ivan Petrov

I use Bitnani Stack.

#4 - 2015-04-14 07:54 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Duplicate of #19374.

Please ask bitnami team.

https://community.bitnami.com/t/problems-with-3-0-1-installation-see-report-inside/30195/17

#5 - 2015-04-14 07:54 - Toshi MARUYAMA

- Is duplicate of Defect #19374: MinGW thin and puma: Internal server error occoures when attachment file name contains non ASCII added

#6 - 2015-04-19 16:47 - Ivan Petrov

- File Исследование.txt added

#7 - 2015-05-05 05:49 - Toshi MARUYAMA

- File deleted (Исследование.txt)

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/issues/19374
https://community.bitnami.com/t/problems-with-3-0-1-installation-see-report-inside/30195/17
http://www.tcpdf.org

